Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #203 (closed enhancement: fixed)

Opened 13 years ago

Last modified 13 years ago

Kick client

Reported by: anonymous Assigned to: mrenzmann
Priority: minor Milestone: version 0.9.1
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

Add the possibility to kick only one client (by MAC address) when acting as an Access Point

Attachments

imr-kickmac-patch.diff (2.3 kB) - added by imr1@waikato.ac.nz on 01/13/06 03:06:42.
Adds a private ioctl (kickmac <MAC>) to disassociate with the given MAC.
imr-renaming-patch-r2.diff (13.1 kB) - added by imr1@waikato.ac.nz on 01/13/06 03:13:03.
Same as imr-kickmac-patch.diff, but this returns any error code.
imr-kickmac-patch-r2.diff (2.4 kB) - added by imr1@waikato.ac.nz on 01/13/06 03:14:02.
Attached the wrong file, this one returns the error code.
users-guide-kickmac.diff (1.1 kB) - added by matt@mattb.net.nz on 05/19/06 15:23:26.
Adds kickmac documentation to the User Guide

Change History

12/04/05 00:24:28 changed by mrenzmann

  • version set to trunk.
  • type changed from defect to enhancement.
  • milestone set to version 1.0.0 - first stable release.

01/13/06 03:06:42 changed by imr1@waikato.ac.nz

  • attachment imr-kickmac-patch.diff added.

Adds a private ioctl (kickmac <MAC>) to disassociate with the given MAC.

01/13/06 03:10:40 changed by imr1@waikato.ac.nz

Completed a patch (imr-kickmac-patch.diff) which implements a private ioctl to disassociate with the given MAC address.

Called with: iwpriv <interface> kickmac <MAC address to kick>

A disassociation frame will be sent to the station if it is associated (with an unspecified reason). Nothing stops the station reassociating immediately, but this seems to mirror other typical implementations of this functionality.

01/13/06 03:13:03 changed by imr1@waikato.ac.nz

  • attachment imr-renaming-patch-r2.diff added.

Same as imr-kickmac-patch.diff, but this returns any error code.

01/13/06 03:14:02 changed by imr1@waikato.ac.nz

  • attachment imr-kickmac-patch-r2.diff added.

Attached the wrong file, this one returns the error code.

01/13/06 03:16:00 changed by imr1@waikato.ac.nz

Not having much luck. Attached imr-kickmac-patch-r2.diff which does the same as imr-kickmac-patch.diff but returns any error codes. Accidently attached imr-renaming-patch-r2.diff in error, it is not associated with this ticket in any way.

imr-kickmac-patch-r2.diff Signed-off-by: Ian M Rawley <imr1@waikato.ac.nz>

02/01/06 06:42:30 changed by kelmo

  • patch_attached set to 1.

02/04/06 20:50:19 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

02/05/06 09:41:46 changed by mrenzmann

Thanks, Ian. Committed your patch in r1439.

The documentation needs to be updated, so that this new private ioctl is properly documented. Two places come to my mind at this time:

  1. UserDocs/iwpriv
  2. trunk/docs/users-guide.tex and trunk/docs/users-guide.pdf

Any volunteers? Should be a trivial task.

02/05/06 10:14:56 changed by kelmo

Updated the userdocs page with the relevant info.

02/06/06 06:48:55 changed by mrenzmann

Thanks kelmo. users-guide update, anyone?

05/19/06 15:22:54 changed by matt@mattb.net.nz

User Guide patch attached. This ticket can finally be closed!!

Signed-of-by: Matt Brown <matt@mattb.net.nz>

05/19/06 15:23:26 changed by matt@mattb.net.nz

  • attachment users-guide-kickmac.diff added.

Adds kickmac documentation to the User Guide

06/02/06 15:45:11 changed by kelmo

  • status changed from assigned to closed.
  • resolution set to fixed.

Thanks mattbrown. Applied to r1625.

06/19/06 09:20:14 changed by mrenzmann

  • milestone changed from version 1.0.0 - first stable release to version 0.9.1.